<script setup>
import HomePage from './components/HomePage.vue'
import Story from './components/Story.vue'
import Cakes from './components/Cakes.vue'
import Sweets from './components/Sweets.vue'
import Contact from './components/Contact.vue'
import Wedding from './components/Wedding.vue'
import Baptism from './components/Baptism.vue'
import Birthday from './components/Birthday.vue'
import Pastries from './components/Pastries.vue'
import Cups from './components/Cups.vue'
import Eclairs from './components/Eclairs.vue'


import {ref} from "vue"

const pagina = ref('home-page');
</script>

<template>
<div class="container-fluid">
        <!-- NAV -->
  <div class="row">
    <nav class="navbar navbar-expand-lg fixed-top">
      <div class="container-fluid">
          <button class="navbar-toggler" type="button" data-bs-toggle="collapse" data-bs-target="#navbarNav"
                aria-controls="navbarNav" aria-expanded="false" aria-label="Toggle navigation">
          <span class="navbar-toggler-icon"></span>
         </button>
          <div class="collapse navbar-collapse" id="navbarNav">
            <ul class="navbar-nav mx-auto d-flex justify-content-around">
              <li class="nav-item">
                <a class="nav-link active" aria-current="page" href="index.html">Welcome</a>
              </li>
              <li class="nav-item">
                <a class="nav-link" @click="pagina = 'story'">Story</a>
              </li>
              <li class="nav-item">
                <a class="nav-link" @click="pagina = 'cakes'">Cakes</a>
              </li>
                <a class="navbar-brand" href="#">Cookie Monkey</a>
              <li class="nav-item">
                <a class="nav-link" @click="pagina = 'sweets'" >Sweets</a>
              </li>
              <li class="nav-item">
                <a class="nav-link" @click="pagina = 'contact'">Contact</a>
              </li>
              <li class="nav-item">
                <a class="nav-link" href="https://www.instagram.com/cookiemonkey_oradea/?hl=it"><i class="bi bi-instagram"></i></a>
              </li>
              <li class="nav-item">
                <a class="nav-link" href="https://www.facebook.com/cookiemonkeyoradea/"><i class="bi bi-facebook"></i></a>
              </li>
            </ul>
          </div>
        </div>
    </nav>
  </div>

<HomePage v-if="pagina == 'home-page'"/>
<Story v-if="pagina == 'story'"/>
<Cakes v-if="pagina == 'cakes'"/>
<Sweets v-if="pagina == 'sweets'"/>
<Contact v-if="pagina == 'contact'"/>
<Wedding v-if="pagina == 'wedding'"/>
<Baptism v-if="pagina == 'baptism'"/>
<Birthday v-if="pagina == 'birthday'"/>
<Pastries v-if="pagina == 'pastries'"/>
<Cups v-if="pagina == 'cups'"/>
<Eclairs v-if="pagina == 'eclairs'"/>


<!-- FOOTER -->
    <!-- MAP -->
    <br>
    <div class="row">
        <div class="col-md-12 col-sm-12 col-xs-12">
            <div class="map-area d-flex justify-content-center map_address">
                <iframe
                    src="https://www.google.com/maps/embed?pb=!1m18!1m12!1m3!1d2717.8559672742913!2d21.907081015488128!3d47.06267567915233!2m3!1f0!2f0!3f0!3m2!1i1024!2i768!4f13.1!3m3!1m2!1s0x474647d3bebd8385%3A0x72927ade7ff2a2c2!2sCookie%20Monkey%20-%20Sweets%20and%20More!5e0!3m2!1sro!2sro!4v1669037980992!5m2!1sro!2sro"
                    class="map_address"
                    allowfullscreen="" loading="lazy"
                    referrerpolicy="no-referrer-when-downgrade"></iframe>
            </div>
        </div>
    </div>
    <!-- INFO -->
    <div class="row d-flex">
            <div
                class="col mt-5 d-flex flex-column justify-content-center align-content-center flex-wrap text-center">
                <h1>HOURS</h1>
                <br>
                <p> Monday-Wednesday 9:00am-4:00pm <br>
                    Thursday-Friday 9:00am-4:30pm<br>
                </p>
                <p>
                    Saturday 9:00am-4:00pm<br>
                    Sunday 10:00am-12:00pm<br>
                </p>
            </div>
            <div
                class="col d-flex flex-column justify-content-center align-content-center flex-wrap text-center">
                <h1>NEWSLETTER</h1>
                <br>
                <input>
                <br>
                <a class="btn btn-secondary">Submit</a>
            </div>
            <div
                class="col d-flex flex-column justify-content-center align-content-center flex-wrap text-center">
                <h1>CONTACT</h1>
                <br>
                <p>
                    0770 104 302 <br>
                    cookiemonkey.oradea@gmail.com
                </p>
            </div>
    </div>
</div>
</template>

<style>
@import "bootstrap/dist/css/bootstrap.css";
@import "../css/base.css";
@import "bootstrap-icons/font/bootstrap-icons.css";
</style>